function [stations, x_angle, y_angle] = station_names( event)
%
% Synopsis:
%
% function [stations, x_angle, y_angle] = station_names( event)
%
% Returns the station records and their angles (000 - 360) for event.

if nargin < 1
	% Return just the event names
	stations = {'northridge', ...
	            'SAC',        ...
	            'elcentro'} ;
	return;
end

switch event
	case 'northridge'
		%             ID
		stations = { 'bts' , ...
		             'cpc' , ...
		             'lf6' , ...
		             'nrg' , ...
		             'nwh' , ...
		             'rrs' , ...
		             'sch' , ...
		             'syh' , ...
		             'tar' , ...
		             'usb' , ...
		             'xlp' } ;
	if nargout > 1
		x_angle =   [ 172 ; ...
		              106 ; ...
		              099 ; ...
		              090 ; ...
		              090 ; ...
		              319 ; ...
		              101 ; ...
		              090 ; ...
		              090 ; ...
		              090 ; ...
		              105 ] ;
	end
	if nargout > 2
		y_angle =   [ 082 ; ...
		              016 ; ...
		              009 ; ...
		              000 ; ...
		              000 ; ...
		              229 ; ...
		              011 ; ...
		              000 ; ...
		              000 ; ...
		              000 ; ...
		              015 ] ;
	end
	case 'elcentro'
		stations = { 'elc' };
	if nargout > 1
		x_angle =   090;
	end
	if nargout > 2
		y_angle =   000;
	end
	case 'SAC'
		stations = { 'l06' , ...
		             'l11' , ...
		             'l26' } ;
	if nargout > 1
		x_angle =   [ 090 ; ...
		              090 ; ...
		              090 ] ;
	end
	if nargout > 2
		y_angle =   [ 000 ; ...
		              000 ; ...
		              000 ] ;
	end
	case 'test'
		stations = [ 'sc1' ];
		if nargout > 1
			x_angle =   [ 101 ];
		end
		if nargout > 2
			y_angle =   [ 011 ] ;
		end
	otherwise
		error (['Unknown event: ' event]);
end


