function str = strstruct( s, depth)
%
% converts a structure into a string representation.


if nargin < 2
	depth = 1;
end

str = '';
endl = sprintf('\n');  % line termination
names = fieldnames(s);

for x = 1 : length(names)
	f = getfield( s, char(names(x)));
	str = [ str depth_pre(depth)];
	if isstruct(f)
		if size(f,2) > 10  % don't try to traverse big structure arrays
			str = [str ...
				sprintf('%s : [ %d x %d struct ]', char(names(x)), size(f)) endl];
		elseif size(f,2) > 1  % don't try to traverse big structure arrays
			for xx = 1 : size(f,2)
				str = sprintf( '%s%s(%d) (struct)\n', str, char(names(x)), xx);
				str = [str strstruct( f(xx), depth+1)];
			end
		else
			str = [str char(names(x)) ' (struct)' endl];
			str = [str strstruct( f, depth+1)];
		end
	elseif ischar(f)
		str = [str char(names(x)) ': ' f endl];
	elseif isnumeric(f)
		if size(f,1) > 1 | size(f,2) > 10
			% Matrix f is too large, just report the size
			str = [str ...
				sprintf('%s : [ %d x %d array ]', char(names(x)), size(f)) endl];
		else
		  str = [str char(names(x)) ': ' num2str(f) endl];
		end
	else
		warning( ['Could not determine type of ' names(x)]);
		f
	end
end

function depth_string = depth_pre( depth)

depth_string = '';

if depth > 1
	for n = 2 : depth
		depth_string = [depth_string '   '];
	end
end

